Name:          kylin-burner
Version:       3.10.3
Release:       1
Summary:       CD/DVD burning application for UKUI.
License:       GPL-3.0-or-later
URL:           https://github.com/UbuntuKylin/kylin-burner
Source0:       %{name}-%{version}.tar.gz
Patch01:       0001-Fix-the-problem-of-scrambled-burner.patch
Patch02:       0002-Repair-the-user-guide-does-not-work.patch
Patch03:       0003-fix-version-of-kylin-burner.patch

BuildRequires: cmake
BuildRequires: qt5-qtx11extras-devel
BuildRequires: libX11-devel
BuildRequires: gsettings-qt-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: ukui-interface

Requires:      gsettings-qt-devel
Requires:      cdrdao
Requires:      libburn
Requires:      cdrkit
Requires:      dvd+rw-tools
Requires:      udisks2


%description
CD/DVD burning application for UKUI.

%prep
%setup -q
%patch01 -p1
%patch02 -p1
%patch03 -p1

%build
mkdir cmake-build
pushd cmake-build
%cmake .. -DCMAKE_INSTALL_PREFIX=/usr
%{make_build}
popd 

%install
pushd cmake-build
%{make_install} INSTALL_ROOT=%{buildroot}
popd 

%files
%{_bindir}/kylin-burner
%{_datadir}/applications/kylin-burner.desktop
%{_datadir}/kylin-user-guide/data/guide/kylin-burner/*
%{_datadir}/locale/zh_CN/LC_MESSAGES/kylin-burner.mo

%changelog
* Mon May 08 2023 peijiankang <peijiankang@kylinos.cn> - 3.10.3-1
- update upstream version to 3.10.3

* Wed Mar 22 2023 peijiankang <peijiankang@kylinos.cn> - 3.10.2-6
- fix version of kylin-burner

* Fri Mar 03 2023 peijiankang <peijiankang@kylinos.cn> - 3.10.2-5
- Repair the user guide does not work

* Fri Aug 19 2022 peijiankang <peijiankang@kylinos.cn> - 3.10.2-4
- add build debuginfo and debugsource

* Fri Aug 19 2022 peijiankang <peijiankang@kylinos.cn> - 3.10.2-3
- Fix the problem of scrambled burner

* Thu May 26 2022 peijiankang <peijiankang@kylinos.cn> - 3.10.2-2
- remove {%if 0 and %endif}

* Tue May 24 2022 peijiankang <peijiankang@kylinos.cn> - 3.10.2-1
- Init kylin-burner package for openEuler
